Page MenuHomePhabricator

ecore/audio: free vio on in/out object destruction
ClosedPublic

Authored by zmike on Mar 17 2020, 9:10 AM.

Details

Summary

ensure we don't leak these since that means we also leak the user's free
data and callback

Depends on D11526

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 16345
zmike created this revision.Mar 17 2020, 9:10 AM
bu5hm4n requested changes to this revision.Mar 23 2020, 11:20 AM
bu5hm4n added inline comments.
src/lib/ecore_audio/ecore_audio_obj_in.c
192

Can you add { and } here ? clang analyzer complains here, and i already see coverity complaining about it.

This revision now requires changes to proceed.Mar 23 2020, 11:20 AM
zmike updated this revision to Diff 29618.Mar 23 2020, 12:01 PM
zmike edited the summary of this revision. (Show Details)

add braces

bu5hm4n accepted this revision.Mar 23 2020, 12:06 PM

Thank you

This revision is now accepted and ready to land.Mar 23 2020, 12:06 PM
Closed by commit rEFLc697965a8c72: ecore/audio: free vio on in/out object destruction (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 25 2020, 2:15 PM
This revision was automatically updated to reflect the committed changes.